# _hdbc Struct Reference

List of all members.

## Public Attributes
struct _hcattr | attr
struct _hstmt * | current_statement
| Statement executing.
unsigned int | cursor_support
| <>0 if server handle cursors
TDS_INT | default_query_timeout
DSTR | dsn
struct _henv * | env
struct _sql_errors | errs
SQLSMALLINT | htype
DSTR | server
struct _hstmt * | stmt_list
| list of all statements allocated from this connection
TDSSOCKET * | tds_socket
TDS_DESC * | uad [TDS_MAX_APP_DESC]
| descriptors associated to connection

## Member Data Documentation

struct _hstmt* _hdbc::current_statement

Statement executing.

This should be set AFTER sending query to avoid race condition and assure to not overwrite it if another statement is executing a query.

The documentation for this struct was generated from the following file:

- /home/jklowden/releases/freetds-0.91/include/tdsodbc.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines